using System;

namespace Kvalifikacije_2_B_18._12._2021
{
    class Program
    {
        static void deli(int t)
        {
            int r=1, br;
            br = 1;
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int k = int.Parse(s[2]);

            while (k > 1 && n > 1 && m > 1)
            {
                n--;
                if (m % 2 == 0)
                    m = m / 2;
                else
                    m = (m - 1) / 2;
                k--;
            }
            if (k > 1 && n == 1)
                r = 0;
            while (n > 1)
            {
                m = m - br;
                br++;
                n--;
            }
            if (m < 0)
                r = 0;
            t--;
            if (t != 0)
                deli(t);
            if (r == 1)
                Console.WriteLine("Tak");
            else
                Console.WriteLine("Nie");

            
        }
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            deli(t);
        }
    }
}